const path = require('path')
module.exports = {
  env: {
    NODE_ENV: '"production"',
  },
  defineConstants: {
    CURRENT_BASE_URL: '"https://www.zzfzyc.com/lymarket"',
  },
  mini: {
    // optimizeMainPackage: {
    //   enable: true,
    // },
    webpackChain: (chain, webpack) => {
      chain.merge({
        plugin: {
          install: {
            plugin: require('terser-webpack-plugin'),
            args: [
              {
                terserOptions: {
                  compress: true, // 默认使用terser压缩
                  compress: {
                    drop_console: true, // 去掉打印
                  }, // 默认使用terser压缩
                  // mangle: false,
                  keep_classnames: true, // 不改变class名称
                  keep_fnames: true, // 不改变函数名称
                },
              },
            ],
          },
        },
      })
    },
  },
  h5: {
    /**
     * 如果h5端编译后体积过大，可以使用webpack-bundle-analyzer插件对打包体积进行分析。
     * 参考代码如下：
     * webpackChain (chain) {
     *   chain.plugin('analyzer')
     *     .use(require('webpack-bundle-analyzer').BundleAnalyzerPlugin, [])
     * }
     */
  },
  alias: {
    '@': path.resolve(__dirname, '..', 'src'),
  },
  sass: {
    resource: path.resolve(__dirname, '..', 'src/styles/common.scss'),
  },
}
